Nemo

关注TA

路漫漫其修远兮,吾将上下而求索。

  • 深圳市
  • 菜鸟工程师

最近留言

安装scrapy提示:Microsoft Visual C++ 14.0 is required. Get it with Microsoft Visual C++ Build Tools : http://landinghub.visualstudio.com/visual-cpp-build-tools

2019年04月19 14:10 191 0 复制链接

python-logo.png

pip3 install scrapy 

最后输出如下:

 building 'twisted.test.raiser' extension
    error: Microsoft Visual C++ 14.0 is required. Get it with "Microsoft Visual C++ Build Tools": http://landinghub.visualstudio.com/visual-cpp-build-tools

提示要安装 Microsoft Visual c++ 14.0,但是最后附加的地址却提示404.

这里网络上尝试找Microsoft Visual c++ 14.0时,并没有找到免费资源。


可以看到,这里其实是在安装scrapy所需要的twisted库的时候抛出的异常。

尝试单独安装twisted库:

pip3 install twisted

同样抛如上异常。


考虑使用离线包安装twisted。

可以在这里搜索,找到twisted组件。

https://www.lfd.uci.edu/~gohlke/pythonlibs/

TIM截图20190419141604.pngpython版本为 3.6,系统是64位的,所以这里手动下载:Twisted-19.2.0-cp36-cp36m-win_amd64.whl到本地。

开始安装:

pip3 install D:\Downloads\Twisted-19.2.0-cp36-cp36m-win_amd64.whl

直到最后提示安装成功。

然后接着安装scrapy,则无异常了。

点赞(0)
本文标签python scrapy twisted
点了个评